COL(1)

NUME
col - filtrează avansurile de linie inverse de la intrare

REZUMAT

col opțiuni

DESCRIERE

col filtrează salturile de linie inverse (și semi-inverse), astfel încât ieșirea să fie în ordinea corectă, doar cu salturile de linie înainte și semi-înainte. De asemenea, înlocuiește toate caracterele de spații albe cu tabulatoare, acolo unde este posibil. Acest lucru poate fi util în procesarea ieșirii din nroff(1) și tbl(1).

col citește de la intrarea standard și scrie la ieșirea standard.

OPȚIUNI

-b, --no-backspaces
    Nu se afișează spațiile din urmă, afișându-se doar ultimul caracter scris pe fiecare poziție de coloană.

-f, --fine
    Permite avansarea cu jumătate de linie înainte. În mod normal, caracterele destinate unei jumătăți de linie sunt afișate pe linia următoare.

-h, --tabs
    Afișează tabulatoare în loc de spații multiple.

-l, --lines număr
    Stochează cel puțin numărul de linii în memorie. În mod implicit, sunt stocate 128 de linii.

-p, --pass
    Forțează secvențele de control necunoscute să fie trecute fără a fi modificate. În mod normal, col va filtra orice secvențe de control, altele decât cele recunoscute și interpretate de el însuși, care sunt enumerate mai jos.

-x, --spaces
    Afișează mai multe spații în loc de tabulatoare.

-H, --help
    Afișează acest mesaj de ajutor și iese.

-V, --version
    Afișează versiunea și iese.

ÎN CONFORMITATE CU

Ustensila col este conformă cu specificația Single UNIX, versiunea 2. Opțiunea -l este o extensie a standardului.

NOTE

Secvențele de comandă pentru mișcarea căruciorului pe care col le înțelege și valorile lor zecimale sunt enumerate în tabelul următor:

ESC-7
    avans de linie invers (Esc apoi 7)

ESC-8
    jumătate de avans de linie invers (Esc apoi 8)

ESC-9
    jumătate de avans de linie (Esc apoi 9)

retrocedare(backspace)
    retrocedează cu o coloană (8); se ignoră în prima coloană

linie nouă
    avansare de linie (10); de asemenea, face returul de cărucior

retur de cărucior
    (13)

shift pulsată
    trece la setul normal de caractere (15)

shift eliberată
    trece la setul de caractere alternativ (14)

spațiu
    avansează cu o coloană (32)

tabulator
    avansează la următoarea oprire a tabulatorului (9)

tabulator vertical
    avansare de linie inversă (11)

Toate caracterele de control și secvențele de eludare nerecunoscute sunt eliminate.

col ține evidența setului de caractere pe măsură ce caracterele sunt citite și se asigură că setul de caractere este corect atunci când acestea sunt afișate/imprimate.

În cazul în care intrarea încearcă să revină la ultima linie eliminată, col va afișa un mesaj de avertizare.

ISTORIC

Comanda col a apărut în versiunea 6 AT&T UNIX.

CONSULTAȚI ȘI

expand(1), nroff(1), tbl(1)

RAPORTAREA ERORILOR

Pentru rapoarte de eroare, folosiți

DISPONIBILITATE

Comanda col face parte din pachetul util-linux care poate fi descărcat de la